summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorTaylor Smock2016-12-01 15:44:53 -0700
committerTaylor Smock2016-12-01 15:44:53 -0700
commit367270c5faa5b08e39a56cef27544e0162b12484 (patch)
treedfb50b61173b414706e5505d375c2cb31b24ab19 /PKGBUILD
parentadd8e34f5aa26b030061a7feb68e842c08bfb5f9 (diff)
downloadaur-steamcurses-git.tar.gz
PKGBUILD: Update to new pkgver standards on aur
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD7
1 files changed, 5 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index ad3ac09f776..1e42eaeef47 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=steamcurses-git
_pkgname=${pkgname%-git}
_srcname=SteamCurses
-pkgver=0ec79ed
+pkgver=r61.0ec79ed
pkgrel=1
pkgdesc="Steam Ncurses for both native and wine versions"
arch=('i686' 'x86_64')
@@ -21,7 +21,10 @@ sha256sums=('SKIP')
pkgver() {
cd "${srcdir}/${_srcname}"
- git describe --always | sed -E 's/([^-]*-g)/r\1/;s/-/./g'
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build() {
cd "${srcdir}/${_srcname}"